> ## Documentation Index
> Fetch the complete documentation index at: https://docs.originsai.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Models



## OpenAPI

````yaml https://originshq.b-cdn.net/openapi_sayna.json get /api/llm/models
openapi: 3.1.0
info:
  title: core
  version: 0.1.0
servers: []
security: []
paths:
  /api/llm/models:
    get:
      tags:
        - llm
      summary: List Models
      operationId: list_models_api_llm_models_get
      parameters:
        - name: provider
          in: query
          required: true
          schema:
            type: string
            title: Provider
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/llm_config__schema__ModelResponse'
                title: Response List Models Api Llm Models Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    llm_config__schema__ModelResponse:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        context_length:
          anyOf:
            - type: integer
            - type: 'null'
          title: Context Length
      type: object
      required:
        - id
        - name
      title: ModelResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````